using namespace std;
#include <iostream>
#include <vector>
#include <algorithm>
int main(){
int t; cin>>t;
vector<vector<int>> ans(t,vector<int>(1000000,-1));
for(int i = 0 ; i<t ; i++){
    int n; cin>>n; long long sum=0;
    vector<pair<long long,int>> niza(n);
    for(int j = 0 ; j<n ; j++){
        cin>>niza[j].first;
        niza[j].second=j;
    }
    sort(niza.begin(),niza.end()); int cont = 1; int counter=1;
    for(int j=0 ; j<n-1 ; j++){
        if(niza[j].first==niza[j+1].first) cont++;
        else cont=1;
        if(niza[j].first==niza[j+1].first && cont%2==0){
            ans[i][counter-1]=niza[j].second;
            ans[i][n-counter]=niza[j+1].second;
            niza[j].first=-1;
            counter++;
        }
    }
}
for(int i = 0 ; i<t ; i++){
    for(int j = 0 ; j<1000000 ; j++){
        if(ans[i][j]==-1){
            cout<<'\n';
            goto skok;
        }
        else cout<<ans[i][j]<<" ";
    }
    skok: continue;
}
}
